const transform = require('./transform');

function getNames(name){
	let nameU, nameC, nameD, name_;
	if(name.indexOf("-") !== -1){
		nameD = name;
		name_ = transform(nameD ,"dash" ,"lodash");
		nameC = transform(nameD ,"dash" ,"camel");
		nameU = transform(nameD ,"dash" ,"upper");
	}else if(name.indexOf("_") !== -1){
		name_ = name;
		nameD = transform(name_ ,"lodash" ,"dash");
		nameC = transform(name_ ,"lodash" ,"camel");
		nameU = transform(name_ ,"lodash" ,"upper");
	}else if(/^[A-Z]/.test(name)){
		nameU = name;
		nameD = transform(nameU ,"upper" ,"dash");
		nameC = transform(nameU ,"upper" ,"camel");
		name_ = transform(nameU ,"upper" ,"lodash");
	}else {
		nameC = name;
		nameD = transform(nameC ,"camel" ,"dash");
		nameU = transform(nameC ,"camel" ,"upper");
		name_ = transform(nameC ,"camel" ,"lodash");
	}
	return {nameU, nameC, nameD, name_};
}

module.exports = {
	getNames
};